DROP TABLE IF EXISTS fshpeerinfo;

CREATE TABLE fshpeerinfo (
        date                             BIGINT(8),
        time                             CHAR(9),
        hostkey                          CHAR(40),
        ip_address_sender                VARCHAR(16),
        port_sender                      INT(7),
        protocol                         SMALLINT(1)
); 

CREATE INDEX idx_fshpeerinfo ON fshpeerinfo (hostkey);

DROP TABLE IF EXISTS fshlog;

CREATE TABLE fshlog (
        date                             BIGINT(8),
        time                             CHAR(9),
        program                          VARCHAR(20),
        message_number                   BIGINT(16),
        message_type                     VARCHAR(20),
        message                          VARCHAR(255)
);

CREATE INDEX idx_fshlog ON fshlog (date, time);

